Create a new network user
curl --request POST \
--url https://api.lynkwell.com/asset-management/v1/network-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"network": "<string>",
"phoneNumber": "<string>"
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/network-users"
payload = {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"network": "<string>",
"phoneNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
firstName: '<string>',
lastName: '<string>',
network: '<string>',
phoneNumber: '<string>'
})
};
fetch('https://api.lynkwell.com/asset-management/v1/network-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"network": {
"id": "<string>"
},
"isArchived": true,
"phoneNumber": "<string>"
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Network Users
Create a new network user
This endpoint creates a new network user (network operator/admin).
This action is not enabled by default. You must request additional permissions to perform this action.
POST
/
asset-management
/
v1
/
network-users
Create a new network user
Authorizations
OAuth2 Client Credentials Flow
Body
application/json
The email of the network user
The first name of the network user
The last name of the network user
The ID of the network the user belongs to. Omit to create a global, network-less user (only allowed for callers without a network claim).
Optional phone number in "+11231231234" format
Response
Success
Show child attributes
Show child attributes